import { GroupingField } from '@oinone/kunlun-engine';
import { BaseElementWidget } from '../../../basic';
import type { SortableGroupOption } from '../../../components';
type GroupingFieldOption = GroupingField & {
    title?: string;
};
export declare class GroupControlWidget extends BaseElementWidget {
    initialize(props: any): this;
    /**
     * 分组数据
     * @see {@link BaseTableWidget#groupList}
     */
    protected get parentGroupList(): GroupingField[] | undefined;
    protected groupList: GroupingFieldOption[] | undefined;
    protected options: SortableGroupOption[];
    /**
     * 修改分组
     * @see {@link BaseTableWidget#onGroupChange}
     */
    protected get onGroupChange(): (groupList: GroupingField[]) => void;
    protected onOpen(): void;
    protected getGroupList(): GroupingFieldOption[] | undefined;
    protected get fieldOptions(): SortableGroupOption[];
    protected mounted(): void;
}
export {};
